## AgsRemoveNote

AgsRemoveNote — remove note object from notation

## Stability Level

Stable, unless otherwise indicated

## Functions

AgsRemoveNote * | ags_remove_note_new ()

## Properties

AgsAudio * | audio | Read / Write
guint | audio-channel | Read / Write
AgsNote * | note | Read / Write
gboolean | use-selection-list | Read / Write

## Object Hierarchy

        GObject
        ╰── AgsTask
            ╰── AgsRemoveNote

## Includes

    #include <ags/audio/task/ags_remove_note.h>

## Description

The AgsRemoveNote task removes AgsNote from AgsNotation.

## Functions

### ags_remove_note_new ()

    AgsRemoveNote *
    ags_remove_note_new (AgsAudio *audio,
                         AgsNote *note,
                         guint audio_channel,
                         gboolean use_selection_list);

Create a new instance of AgsRemoveNote.

#### Parameters

audio | the AgsAudio |
note | the AgsNote to remove |
audio_channel | the audio channel |
use_selection_list | if `TRUE` remove of selection, otherwise of notation |

#### Returns

the new AgsRemoveNote

Since: 3.0.0

## Property Details

### The `“audio”` property

      “audio”                    AgsAudio *

The assigned AgsAudio

Owner: AgsRemoveNote

Flags: Read / Write

Since: 3.0.0

### The `“audio-channel”` property

      “audio-channel”            guint

The assigned audio channel

Owner: AgsRemoveNote

Flags: Read / Write

Default value: 0

Since: 3.0.0

### The `“note”` property

      “note”                     AgsNote *

The assigned AgsNote

Owner: AgsRemoveNote

Flags: Read / Write

Since: 3.0.0

### The `“use-selection-list”` property

      “use-selection-list”       gboolean

The notation's use-selection-list.

Owner: AgsRemoveNote

Flags: Read / Write

Default value: FALSE

Since: 3.0.0